diff --git a/tests/modeltests/model_formsets/tests.py b/tests/modeltests/model_formsets/tests.py
index 6303e6d..34f8d47 100644
--- a/tests/modeltests/model_formsets/tests.py
+++ b/tests/modeltests/model_formsets/tests.py
@@ -10,7 +10,7 @@ from django.forms.models import (_get_foreign_key, inlineformset_factory,
 from django.test import TestCase, skipUnlessDBFeature
 
 from modeltests.model_formsets.models import (
-    Author, BetterAuthor, Book, BookWithCustomPK, Editor,
+    Author, BetterAuthor, Book, BookWithCustomPK,
     BookWithOptionalAltEditor, AlternateBook, AuthorMeeting, CustomPrimaryKey,
     Place, Owner, Location, OwnerProfile, Restaurant, Product, Price,
     MexicanRestaurant, ClassyMexicanRestaurant, Repository, Revision,
diff --git a/tests/modeltests/mutually_referential/tests.py b/tests/modeltests/mutually_referential/tests.py
index 101d67c..365c741 100644
--- a/tests/modeltests/mutually_referential/tests.py
+++ b/tests/modeltests/mutually_referential/tests.py
@@ -1,5 +1,5 @@
 from django.test import TestCase
-from models import Parent, Child
+from models import Parent
 
 class MutuallyReferentialTests(TestCase):
 
diff --git a/tests/modeltests/one_to_one/models.py b/tests/modeltests/one_to_one/models.py
index f263735..246c3fc 100644
--- a/tests/modeltests/one_to_one/models.py
+++ b/tests/modeltests/one_to_one/models.py
@@ -6,7 +6,7 @@ To define a one-to-one relationship, use ``OneToOneField()``.
 In this example, a ``Place`` optionally can be a ``Restaurant``.
 """
 
-from django.db import models, transaction, IntegrityError
+from django.db import models
 
 class Place(models.Model):
     name = models.CharField(max_length=50)
diff --git a/tests/modeltests/pagination/tests.py b/tests/modeltests/pagination/tests.py
index eaee466..1129052 100644
--- a/tests/modeltests/pagination/tests.py
+++ b/tests/modeltests/pagination/tests.py
@@ -1,5 +1,4 @@
 from datetime import datetime
-from operator import attrgetter
 
 from django.core.paginator import Paginator, InvalidPage, EmptyPage
 from django.test import TestCase
diff --git a/tests/modeltests/proxy_model_inheritance/tests.py b/tests/modeltests/proxy_model_inheritance/tests.py
index 7426f41..546c507 100644
--- a/tests/modeltests/proxy_model_inheritance/tests.py
+++ b/tests/modeltests/proxy_model_inheritance/tests.py
@@ -9,7 +9,7 @@ apps and calls syncdb, then verifies that the table has been created.
 import os
 import sys
 
-from django.conf import settings, Settings
+from django.conf import settings
 from django.core.management import call_command
 from django.db.models.loading import load_app
 from django.test import TransactionTestCase
diff --git a/tests/modeltests/proxy_models/models.py b/tests/modeltests/proxy_models/models.py
index 90d54d9..4fc9c6d 100644
--- a/tests/modeltests/proxy_models/models.py
+++ b/tests/modeltests/proxy_models/models.py
@@ -5,7 +5,6 @@ than using a new table of their own. This allows them to act as simple proxies,
 providing a modified interface to the data from the base class.
 """
 
-from django.contrib.contenttypes.models import ContentType
 from django.db import models
 
 
diff --git a/tests/modeltests/serializers/tests.py b/tests/modeltests/serializers/tests.py
index 013438e..bd528fc 100644
--- a/tests/modeltests/serializers/tests.py
+++ b/tests/modeltests/serializers/tests.py
@@ -9,8 +9,7 @@ from django.db import transaction
 from django.test import TestCase, TransactionTestCase, Approximate
 from django.utils import simplejson, unittest
 
-from models import Category, Author, Article, AuthorProfile, Actor, \
-                                    Movie, Score, Player, Team
+from models import Category, Author, Article, AuthorProfile, Actor, Movie, Score, Player, Team
 
 class SerializerRegistrationTests(unittest.TestCase):
     def setUp(self):
diff --git a/tests/modeltests/transactions/models.py b/tests/modeltests/transactions/models.py
index d957fe1..b2ae396 100644
--- a/tests/modeltests/transactions/models.py
+++ b/tests/modeltests/transactions/models.py
@@ -7,7 +7,7 @@ commit-on-success behavior. Alternatively, you can manage the transaction
 manually.
 """
 
-from django.db import models, DEFAULT_DB_ALIAS
+from django.db import models
 
 class Reporter(models.Model):
     first_name = models.CharField(max_length=30)
diff --git a/tests/modeltests/transactions/tests.py b/tests/modeltests/transactions/tests.py
index db58b80..5cebe67 100644
--- a/tests/modeltests/transactions/tests.py
+++ b/tests/modeltests/transactions/tests.py
@@ -1,9 +1,6 @@
 from __future__ import with_statement
 
-import sys
-
-from django.db import connection, transaction, IntegrityError, DEFAULT_DB_ALIAS
-from django.conf import settings
+from django.db import connection, transaction, IntegrityError
 from django.test import TransactionTestCase, skipUnlessDBFeature
 
 from models import Reporter
diff --git a/tests/modeltests/unmanaged_models/tests.py b/tests/modeltests/unmanaged_models/tests.py
index dee3799..b9817ef 100644
--- a/tests/modeltests/unmanaged_models/tests.py
+++ b/tests/modeltests/unmanaged_models/tests.py
@@ -1,7 +1,6 @@
 from django.test import TestCase
 from django.db import connection
-from models import Unmanaged1, Unmanaged2, Managed1
-from models import A01, A02, B01, B02, C01, C02
+from models import A01, A02, B01, B02, C01, C02, Unmanaged2, Managed1
 
 class SimpleTests(TestCase):
 
diff --git a/tests/modeltests/validation/models.py b/tests/modeltests/validation/models.py
index f92fc1f..52e1f97 100644
--- a/tests/modeltests/validation/models.py
+++ b/tests/modeltests/validation/models.py
@@ -1,7 +1,6 @@
 from datetime import datetime
 from django.core.exceptions import ValidationError
 from django.db import models
-from django.test import TestCase
 
 
 def validate_answer_to_universe(value):
diff --git a/tests/modeltests/validation/validators.py b/tests/modeltests/validation/validators.py
index 6a7d833..30ce661 100644
--- a/tests/modeltests/validation/validators.py
+++ b/tests/modeltests/validation/validators.py
@@ -1,5 +1,3 @@
-from django.utils.unittest import TestCase
-
 from modeltests.validation import ValidationTestCase
 from models import *
 
diff --git a/tests/regressiontests/admin_filters/tests.py b/tests/regressiontests/admin_filters/tests.py
index 5095abb..b4c4f34 100644
--- a/tests/regressiontests/admin_filters/tests.py
+++ b/tests/regressiontests/admin_filters/tests.py
@@ -1,5 +1,3 @@
-from __future__ import with_statement
-
 import datetime
 
 from django.core.exceptions import ImproperlyConfigured
diff --git a/tests/regressiontests/admin_validation/tests.py b/tests/regressiontests/admin_validation/tests.py
index 2cf3c60..ef391ff 100644
--- a/tests/regressiontests/admin_validation/tests.py
+++ b/tests/regressiontests/admin_validation/tests.py
@@ -1,7 +1,6 @@
 from django.contrib import admin
 from django import forms
-from django.contrib.admin.validation import validate, validate_inline, \
-                                            ImproperlyConfigured
+from django.contrib.admin.validation import validate, validate_inline, ImproperlyConfigured
 from django.test import TestCase
 
 from models import Song, Book, Album, TwoAlbumFKAndAnE, State, City
diff --git a/tests/regressiontests/bash_completion/management/commands/test_command.py b/tests/regressiontests/bash_completion/management/commands/test_command.py
index 5cb8820..0f57506 100644
--- a/tests/regressiontests/bash_completion/management/commands/test_command.py
+++ b/tests/regressiontests/bash_completion/management/commands/test_command.py
@@ -1,5 +1,4 @@
-import sys, os
-from optparse import OptionParser, make_option
+from optparse import make_option
 
 from django.core.management.base import BaseCommand
 
diff --git a/tests/regressiontests/comment_tests/tests/comment_utils_moderators_tests.py b/tests/regressiontests/comment_tests/tests/comment_utils_moderators_tests.py
index 4177163..9d6a9e7 100644
--- a/tests/regressiontests/comment_tests/tests/comment_utils_moderators_tests.py
+++ b/tests/regressiontests/comment_tests/tests/comment_utils_moderators_tests.py
@@ -1,5 +1,4 @@
-from regressiontests.comment_tests.tests import CommentTestCase, CT, Site
-from django.contrib.comments.forms import CommentForm
+from regressiontests.comment_tests.tests import CommentTestCase
 from django.contrib.comments.models import Comment
 from django.contrib.comments.moderation import moderator, CommentModerator, AlreadyModerated
 from regressiontests.comment_tests.models import Entry
diff --git a/tests/regressiontests/comment_tests/tests/feed_tests.py b/tests/regressiontests/comment_tests/tests/feed_tests.py
index 2dccbcd..4497f95 100644
--- a/tests/regressiontests/comment_tests/tests/feed_tests.py
+++ b/tests/regressiontests/comment_tests/tests/feed_tests.py
@@ -1,7 +1,3 @@
-import warnings
-
-from django.test.utils import get_warnings_state, restore_warnings_state
-
 from regressiontests.comment_tests.tests import CommentTestCase
 
 
diff --git a/tests/regressiontests/comment_tests/tests/templatetag_tests.py b/tests/regressiontests/comment_tests/tests/templatetag_tests.py
index 0ead6c2..0ee34ac 100644
--- a/tests/regressiontests/comment_tests/tests/templatetag_tests.py
+++ b/tests/regressiontests/comment_tests/tests/templatetag_tests.py
@@ -1,5 +1,4 @@
 from django.contrib.comments.forms import CommentForm
-from django.contrib.comments.models import Comment
 from django.contrib.contenttypes.models import ContentType
 from django.template import Template, Context
 from regressiontests.comment_tests.models import Article, Author
diff --git a/tests/regressiontests/csrf_tests/tests.py b/tests/regressiontests/csrf_tests/tests.py
index b3238a7..c5f9f36 100644
--- a/tests/regressiontests/csrf_tests/tests.py
+++ b/tests/regressiontests/csrf_tests/tests.py
@@ -1,6 +1,5 @@
 # -*- coding: utf-8 -*-
 from __future__ import with_statement
-import warnings
 
 from django.test import TestCase
 from django.http import HttpRequest, HttpResponse
diff --git a/tests/regressiontests/datatypes/tests.py b/tests/regressiontests/datatypes/tests.py
index e161be9..2d40fec 100644
--- a/tests/regressiontests/datatypes/tests.py
+++ b/tests/regressiontests/datatypes/tests.py
@@ -1,7 +1,5 @@
 import datetime
 
-from django.conf import settings
-from django.db import DEFAULT_DB_ALIAS
 from django.test import TestCase, skipIfDBFeature
 from django.utils import tzinfo
 
diff --git a/tests/regressiontests/defer_regress/models.py b/tests/regressiontests/defer_regress/models.py
index 4e4ab0a..1d1a224 100644
--- a/tests/regressiontests/defer_regress/models.py
+++ b/tests/regressiontests/defer_regress/models.py
@@ -2,9 +2,7 @@
 Regression tests for defer() / only() behavior.
 """
 
-from django.conf import settings
-from django.contrib.contenttypes.models import ContentType
-from django.db import connection, models
+from django.db import models
 
 class Item(models.Model):
     name = models.CharField(max_length=15)
diff --git a/tests/regressiontests/defer_regress/tests.py b/tests/regressiontests/defer_regress/tests.py
index fbcf85e..2135522 100644
--- a/tests/regressiontests/defer_regress/tests.py
+++ b/tests/regressiontests/defer_regress/tests.py
@@ -1,9 +1,7 @@
 from operator import attrgetter
 
-from django.conf import settings
 from django.contrib.contenttypes.models import ContentType
 from django.contrib.sessions.backends.db import SessionStore
-from django.db import connection
 from django.db.models.loading import cache
 from django.test import TestCase
 
diff --git a/tests/regressiontests/delete_regress/tests.py b/tests/regressiontests/delete_regress/tests.py
index ec26676..22b4833 100644
--- a/tests/regressiontests/delete_regress/tests.py
+++ b/tests/regressiontests/delete_regress/tests.py
@@ -1,11 +1,11 @@
 import datetime
 
 from django.conf import settings
-from django.db import backend, connection, transaction, DEFAULT_DB_ALIAS
+from django.db import backend, transaction, DEFAULT_DB_ALIAS
 from django.test import TestCase, TransactionTestCase, skipUnlessDBFeature
 
 from models import (Book, Award, AwardNote, Person, Child, Toy, PlayedWith,
-    PlayedWithNote, Contact, Email, Researcher, Food, Eaten,
+    PlayedWithNote, Email, Researcher, Food, Eaten,
     Policy, Version, Location, Item)
 
 
diff --git a/tests/regressiontests/expressions_regress/tests.py b/tests/regressiontests/expressions_regress/tests.py
index a900c6c..497a843 100644
--- a/tests/regressiontests/expressions_regress/tests.py
+++ b/tests/regressiontests/expressions_regress/tests.py
@@ -3,8 +3,7 @@ Spanning tests for all the operations that F() expressions can perform.
 """
 import datetime
 
-from django.conf import settings
-from django.db import models, connection
+from django.db import connection
 from django.db.models import F
 from django.test import TestCase, Approximate, skipUnlessDBFeature
 
diff --git a/tests/regressiontests/extra_regress/tests.py b/tests/regressiontests/extra_regress/tests.py
index ef7cbb8..5f779be 100644
--- a/tests/regressiontests/extra_regress/tests.py
+++ b/tests/regressiontests/extra_regress/tests.py
@@ -3,8 +3,7 @@ from django.test import TestCase
 from django.utils.datastructures import SortedDict
 
 from django.contrib.auth.models import User
-from regressiontests.extra_regress.models import TestObject, Order, \
-        RevisionableModel
+from regressiontests.extra_regress.models import TestObject, Order, RevisionableModel
 
 import datetime
 
diff --git a/tests/regressiontests/file_storage/tests.py b/tests/regressiontests/file_storage/tests.py
index 917d2f3..40710eb 100644
--- a/tests/regressiontests/file_storage/tests.py
+++ b/tests/regressiontests/file_storage/tests.py
@@ -18,7 +18,7 @@ except ImportError:
 
 from django.conf import settings
 from django.core.exceptions import SuspiciousOperation, ImproperlyConfigured
-from django.core.files.base import ContentFile, File
+from django.core.files.base import ContentFile
 from django.core.files.images import get_image_dimensions
 from django.core.files.storage import FileSystemStorage, get_storage_class
 from django.core.files.uploadedfile import UploadedFile
diff --git a/tests/regressiontests/fixtures_regress/models.py b/tests/regressiontests/fixtures_regress/models.py
index 2dfb550..b353f80 100644
--- a/tests/regressiontests/fixtures_regress/models.py
+++ b/tests/regressiontests/fixtures_regress/models.py
@@ -1,6 +1,5 @@
-from django.db import models, DEFAULT_DB_ALIAS, connection
+from django.db import models
 from django.contrib.auth.models import User
-from django.conf import settings
 
 
 class Animal(models.Model):
diff --git a/tests/regressiontests/fixtures_regress/tests.py b/tests/regressiontests/fixtures_regress/tests.py
index 3dc4ede..a565ec9 100644
--- a/tests/regressiontests/fixtures_regress/tests.py
+++ b/tests/regressiontests/fixtures_regress/tests.py
@@ -2,7 +2,6 @@
 # Unittests for fixtures.
 import os
 import re
-import sys
 try:
     from cStringIO import StringIO
 except ImportError:
@@ -13,8 +12,8 @@ from django.core.management.commands.dumpdata import sort_dependencies
 from django.core.management.base import CommandError
 from django.db.models import signals
 from django.db import transaction
-from django.test import TestCase, TransactionTestCase, skipIfDBFeature, \
-    skipUnlessDBFeature
+from django.test import (TestCase, TransactionTestCase, skipIfDBFeature,
+    skipUnlessDBFeature)
 
 from models import Animal, Stuff
 from models import Absolute, Parent, Child
diff --git a/tests/regressiontests/forms/localflavor/cl.py b/tests/regressiontests/forms/localflavor/cl.py
index b2b4562..59e4824 100644
--- a/tests/regressiontests/forms/localflavor/cl.py
+++ b/tests/regressiontests/forms/localflavor/cl.py
@@ -1,5 +1,4 @@
 from django.contrib.localflavor.cl.forms import CLRutField, CLRegionSelect
-from django.core.exceptions import ValidationError
 
 from utils import LocalFlavorTestCase
 
diff --git a/tests/regressiontests/forms/tests/fields.py b/tests/regressiontests/forms/tests/fields.py
index ad8d1d9..152a13e 100644
--- a/tests/regressiontests/forms/tests/fields.py
+++ b/tests/regressiontests/forms/tests/fields.py
@@ -25,7 +25,6 @@ Other than that, the Field subclasses have class-specific options for
 __init__(). For example, CharField has a max_length option.
 """
 import datetime
-import time
 import re
 import os
 import urllib2
@@ -33,7 +32,6 @@ from decimal import Decimal
 
 from django.core.files.uploadedfile import SimpleUploadedFile
 from django.forms import *
-from django.forms.widgets import RadioFieldRenderer
 from django.utils.unittest import TestCase
 
 
diff --git a/tests/regressiontests/forms/tests/forms.py b/tests/regressiontests/forms/tests/forms.py
index 91a7472..ce4004e 100644
--- a/tests/regressiontests/forms/tests/forms.py
+++ b/tests/regressiontests/forms/tests/forms.py
@@ -1,8 +1,5 @@
 # -*- coding: utf-8 -*-
 import datetime
-from decimal import Decimal
-import re
-import time
 from django.core.files.uploadedfile import SimpleUploadedFile
 from django.forms import *
 from django.http import QueryDict
diff --git a/tests/regressiontests/forms/tests/models.py b/tests/regressiontests/forms/tests/models.py
index 3f548df..5e1bd82 100644
--- a/tests/regressiontests/forms/tests/models.py
+++ b/tests/regressiontests/forms/tests/models.py
@@ -3,7 +3,8 @@ import datetime
 from django.core.files.uploadedfile import SimpleUploadedFile
 from django.forms import Form, ModelForm, FileField, ModelChoiceField
 from django.test import TestCase
-from regressiontests.forms.models import ChoiceModel, ChoiceOptionModel, ChoiceFieldModel, FileModel, Group, BoundaryModel, Defaults
+from regressiontests.forms.models import (ChoiceOptionModel, ChoiceFieldModel,
+    FileModel, Group, BoundaryModel, Defaults)
 
 
 class ChoiceFieldForm(ModelForm):
diff --git a/tests/regressiontests/forms/tests/widgets.py b/tests/regressiontests/forms/tests/widgets.py
index 0a8a879..b4ceb2f 100644
--- a/tests/regressiontests/forms/tests/widgets.py
+++ b/tests/regressiontests/forms/tests/widgets.py
@@ -2,9 +2,6 @@
 
 import copy
 import datetime
-import re
-import time
-from decimal import Decimal
 from django.conf import settings
 from django.core.files.uploadedfile import SimpleUploadedFile
 from django.forms import *
diff --git a/tests/regressiontests/generic_inline_admin/tests.py b/tests/regressiontests/generic_inline_admin/tests.py
index c40b6dd..b037ebe 100644
--- a/tests/regressiontests/generic_inline_admin/tests.py
+++ b/tests/regressiontests/generic_inline_admin/tests.py
@@ -5,8 +5,8 @@ from django.contrib.contenttypes.generic import generic_inlineformset_factory
 from django.test import TestCase
 
 # local test models
-from models import Episode, EpisodeExtra, EpisodeMaxNum, EpisodeExclude, \
-                   Media, EpisodePermanent, MediaPermanentInline, Category
+from models import (Episode, EpisodeExtra, EpisodeMaxNum, EpisodeExclude,
+    Media, EpisodePermanent, MediaPermanentInline, Category)
 
 
 class GenericAdminViewTest(TestCase):
diff --git a/tests/regressiontests/generic_relations_regress/tests.py b/tests/regressiontests/generic_relations_regress/tests.py
index 45e8674..52731a9 100644
--- a/tests/regressiontests/generic_relations_regress/tests.py
+++ b/tests/regressiontests/generic_relations_regress/tests.py
@@ -1,5 +1,4 @@
 from django.test import TestCase
-from django.contrib.contenttypes.models import ContentType
 from django.db.models import Q
 from models import *
 
diff --git a/tests/regressiontests/generic_views/base.py b/tests/regressiontests/generic_views/base.py
index fc5cf62..40490a4 100644
--- a/tests/regressiontests/generic_views/base.py
+++ b/tests/regressiontests/generic_views/base.py
@@ -4,7 +4,6 @@ import unittest
 from django.core.exceptions import ImproperlyConfigured
 from django.http import HttpResponse
 from django.test import TestCase, RequestFactory
-from django.utils import simplejson
 from django.views.generic import View, TemplateView, RedirectView
 
 
diff --git a/tests/regressiontests/generic_views/dates.py b/tests/regressiontests/generic_views/dates.py
index 5b784f6..b9608d6 100644
--- a/tests/regressiontests/generic_views/dates.py
+++ b/tests/regressiontests/generic_views/dates.py
@@ -1,5 +1,4 @@
 import datetime
-import random
 
 from django.core.exceptions import ImproperlyConfigured
 from django.test import TestCase
diff --git a/tests/regressiontests/generic_views/list.py b/tests/regressiontests/generic_views/list.py
index c41680c..f5bf910 100644
--- a/tests/regressiontests/generic_views/list.py
+++ b/tests/regressiontests/generic_views/list.py
@@ -2,7 +2,6 @@ from django.core.exceptions import ImproperlyConfigured
 from django.test import TestCase
 
 from regressiontests.generic_views.models import Author, Artist
-from regressiontests.generic_views.views import CustomPaginator
 
 class ListViewTests(TestCase):
     fixtures = ['generic-views-test-data.json']
diff --git a/tests/regressiontests/i18n/forms.py b/tests/regressiontests/i18n/forms.py
index 156441c..600f252 100644
--- a/tests/regressiontests/i18n/forms.py
+++ b/tests/regressiontests/i18n/forms.py
@@ -1,5 +1,6 @@
-from django import template, forms
+from django import forms
 from django.forms.extras import SelectDateWidget
+
 from models import Company
 
 class I18nForm(forms.Form):
diff --git a/tests/regressiontests/i18n/tests.py b/tests/regressiontests/i18n/tests.py
index e3add3e..194825f 100644
--- a/tests/regressiontests/i18n/tests.py
+++ b/tests/regressiontests/i18n/tests.py
@@ -3,7 +3,6 @@ from __future__ import with_statement
 import datetime
 import decimal
 import os
-import sys
 import pickle
 from threading import local
 
diff --git a/tests/regressiontests/introspection/tests.py b/tests/regressiontests/introspection/tests.py
index e309a98..4f5fb09 100644
--- a/tests/regressiontests/introspection/tests.py
+++ b/tests/regressiontests/introspection/tests.py
@@ -1,6 +1,5 @@
 from functools import update_wrapper
-from django.conf import settings
-from django.db import connection, DEFAULT_DB_ALIAS
+from django.db import connection
 from django.test import TestCase, skipUnlessDBFeature
 
 from models import Reporter, Article
diff --git a/tests/regressiontests/localflavor/tests.py b/tests/regressiontests/localflavor/tests.py
index 6a02d99..6a15d46 100644
--- a/tests/regressiontests/localflavor/tests.py
+++ b/tests/regressiontests/localflavor/tests.py
@@ -1,7 +1,3 @@
-from django.test import TestCase
-from django.utils import unittest
-
-# just import your tests here
 from au.tests import *
 from mk.tests import *
 from us.tests import *
diff --git a/tests/regressiontests/m2m_through_regress/models.py b/tests/regressiontests/m2m_through_regress/models.py
index 121ef22..ff71348 100644
--- a/tests/regressiontests/m2m_through_regress/models.py
+++ b/tests/regressiontests/m2m_through_regress/models.py
@@ -1,7 +1,4 @@
-from datetime import datetime
-
 from django.contrib.auth.models import User
-from django.core import management
 from django.db import models
 
 
diff --git a/tests/regressiontests/max_lengths/tests.py b/tests/regressiontests/max_lengths/tests.py
index 59d98d6..f743378 100644
--- a/tests/regressiontests/max_lengths/tests.py
+++ b/tests/regressiontests/max_lengths/tests.py
@@ -1,4 +1,3 @@
-from django.db import DatabaseError
 from django.utils import unittest
 from regressiontests.max_lengths.models import PersonWithDefaultMaxLengths, PersonWithCustomMaxLengths
 
diff --git a/tests/regressiontests/model_fields/imagefield.py b/tests/regressiontests/model_fields/imagefield.py
index dd79e7a..c952aa9 100644
--- a/tests/regressiontests/model_fields/imagefield.py
+++ b/tests/regressiontests/model_fields/imagefield.py
@@ -2,12 +2,11 @@ import os
 import shutil
 
 from django.core.files import File
-from django.core.files.base import ContentFile
 from django.core.files.images import ImageFile
 from django.test import TestCase
 
-from models import Image, Person, PersonWithHeight, PersonWithHeightAndWidth, \
-        PersonDimensionsFirst, PersonTwoImages, TestImageFieldFile
+from models import (Image, Person, PersonWithHeight, PersonWithHeightAndWidth,
+        PersonDimensionsFirst, PersonTwoImages, TestImageFieldFile)
 
 
 # If PIL available, do these tests.
diff --git a/tests/regressiontests/model_fields/tests.py b/tests/regressiontests/model_fields/tests.py
index b42c0af..3e9d614 100644
--- a/tests/regressiontests/model_fields/tests.py
+++ b/tests/regressiontests/model_fields/tests.py
@@ -12,14 +12,14 @@ from models import Foo, Bar, Whiz, BigD, BigS, Image, BigInt, Post, NullBooleanM
 
 # If PIL available, do these tests.
 if Image:
-    from imagefield import \
-            ImageFieldTests, \
-            ImageFieldTwoDimensionsTests, \
-            ImageFieldNoDimensionsTests, \
-            ImageFieldOneDimensionTests, \
-            ImageFieldDimensionsFirstTests, \
-            ImageFieldUsingFileTests, \
-            TwoImageFieldTests
+    from imagefield import (
+            ImageFieldTests,
+            ImageFieldTwoDimensionsTests,
+            ImageFieldNoDimensionsTests,
+            ImageFieldOneDimensionTests,
+            ImageFieldDimensionsFirstTests,
+            ImageFieldUsingFileTests,
+            TwoImageFieldTests)
 
 
 class BasicFieldTests(test.TestCase):
diff --git a/tests/regressiontests/model_forms_regress/tests.py b/tests/regressiontests/model_forms_regress/tests.py
index 9817858..9860c2e 100644
--- a/tests/regressiontests/model_forms_regress/tests.py
+++ b/tests/regressiontests/model_forms_regress/tests.py
@@ -8,8 +8,8 @@ from django.forms.models import (modelform_factory, ModelChoiceField,
 from django.utils import unittest
 from django.test import TestCase
 
-from models import Person, RealPerson, Triple, FilePathModel, Article, \
-    Publication, CustomFF, Author, Author1, Homepage, Document, Edition
+from models import (Person, RealPerson, Triple, FilePathModel, Article,
+    Publication, CustomFF, Author, Author1, Homepage, Document, Edition)
 
 
 class ModelMultipleChoiceFieldTests(TestCase):
diff --git a/tests/regressiontests/modeladmin/models.py b/tests/regressiontests/modeladmin/models.py
index 26eaaae..ae180a4 100644
--- a/tests/regressiontests/modeladmin/models.py
+++ b/tests/regressiontests/modeladmin/models.py
@@ -1,6 +1,4 @@
 # coding: utf-8
-from datetime import date
-
 from django.db import models
 from django.contrib.auth.models import User
 
diff --git a/tests/regressiontests/multiple_database/models.py b/tests/regressiontests/multiple_database/models.py
index ce71828..8146c57 100644
--- a/tests/regressiontests/multiple_database/models.py
+++ b/tests/regressiontests/multiple_database/models.py
@@ -1,4 +1,3 @@
-from django.conf import settings
 from django.contrib.auth.models import User
 from django.contrib.contenttypes.models import ContentType
 from django.contrib.contenttypes import generic
diff --git a/tests/regressiontests/multiple_database/tests.py b/tests/regressiontests/multiple_database/tests.py
index 551a677..74b928a 100644
--- a/tests/regressiontests/multiple_database/tests.py
+++ b/tests/regressiontests/multiple_database/tests.py
@@ -1,6 +1,5 @@
 import datetime
 import pickle
-import sys
 from StringIO import StringIO
 
 from django.conf import settings
@@ -8,7 +7,6 @@ from django.contrib.auth.models import User
 from django.core import management
 from django.db import connections, router, DEFAULT_DB_ALIAS
 from django.db.models import signals
-from django.db.utils import ConnectionRouter
 from django.test import TestCase
 
 from models import Book, Person, Pet, Review, UserProfile
diff --git a/tests/regressiontests/select_related_onetoone/tests.py b/tests/regressiontests/select_related_onetoone/tests.py
index ab35fec..3e7023a 100644
--- a/tests/regressiontests/select_related_onetoone/tests.py
+++ b/tests/regressiontests/select_related_onetoone/tests.py
@@ -1,5 +1,3 @@
-from django import db
-from django.conf import settings
 from django.test import TestCase
 
 from models import (User, UserProfile, UserStat, UserStatResult, StatDetails,
diff --git a/tests/regressiontests/serializers_regress/tests.py b/tests/regressiontests/serializers_regress/tests.py
index 90a438c..cd2ce3c 100644
--- a/tests/regressiontests/serializers_regress/tests.py
+++ b/tests/regressiontests/serializers_regress/tests.py
@@ -15,10 +15,9 @@ try:
 except ImportError:
     from StringIO import StringIO
 
-from django.conf import settings
-from django.core import serializers, management
+from django.core import serializers
 from django.core.serializers import SerializerDoesNotExist
-from django.db import transaction, DEFAULT_DB_ALIAS, connection
+from django.db import connection
 from django.test import TestCase
 from django.utils.functional import curry
 
diff --git a/tests/regressiontests/signals_regress/tests.py b/tests/regressiontests/signals_regress/tests.py
index 630b16f..332f5d9 100644
--- a/tests/regressiontests/signals_regress/tests.py
+++ b/tests/regressiontests/signals_regress/tests.py
@@ -1,5 +1,3 @@
-import sys
-from StringIO import StringIO
 from django.test import TestCase
 
 from django.db import models
diff --git a/tests/regressiontests/syndication/tests.py b/tests/regressiontests/syndication/tests.py
index 2f90dc0..6643298 100644
--- a/tests/regressiontests/syndication/tests.py
+++ b/tests/regressiontests/syndication/tests.py
@@ -1,5 +1,3 @@
-import datetime
-import warnings
 from xml.dom import minidom
 
 from django.contrib.syndication import views
diff --git a/tests/regressiontests/test_utils/tests.py b/tests/regressiontests/test_utils/tests.py
index 673295b..a35b0bc 100644
--- a/tests/regressiontests/test_utils/tests.py
+++ b/tests/regressiontests/test_utils/tests.py
@@ -1,8 +1,6 @@
 from __future__ import with_statement
 
-import sys
-
-from django.test import TestCase, skipUnlessDBFeature, skipIfDBFeature
+from django.test import TestCase, skipUnlessDBFeature
 from django.utils.unittest import skip
 
 from models import Person
diff --git a/tests/regressiontests/urlpatterns_reverse/middleware.py b/tests/regressiontests/urlpatterns_reverse/middleware.py
index cd3c045..7bc42f8 100644
--- a/tests/regressiontests/urlpatterns_reverse/middleware.py
+++ b/tests/regressiontests/urlpatterns_reverse/middleware.py
@@ -1,5 +1,3 @@
-from django.core.urlresolvers import set_urlconf
-
 import urlconf_inner
 
 class ChangeURLconfMiddleware(object):
diff --git a/tests/regressiontests/urlpatterns_reverse/tests.py b/tests/regressiontests/urlpatterns_reverse/tests.py
index 31a928c..3db14d3 100644
--- a/tests/regressiontests/urlpatterns_reverse/tests.py
+++ b/tests/regressiontests/urlpatterns_reverse/tests.py
@@ -3,9 +3,8 @@ Unit tests for reverse URL lookups.
 """
 from django.conf import settings
 from django.core.exceptions import ImproperlyConfigured
-from django.core.urlresolvers import reverse, resolve, NoReverseMatch,\
-                                     Resolver404, ResolverMatch,\
-                                     RegexURLResolver, RegexURLPattern
+from django.core.urlresolvers import (reverse, resolve, NoReverseMatch,
+    Resolver404, ResolverMatch, RegexURLResolver, RegexURLPattern)
 from django.http import HttpResponseRedirect, HttpResponsePermanentRedirect
 from django.shortcuts import redirect
 from django.test import TestCase
diff --git a/tests/regressiontests/utils/jslex.py b/tests/regressiontests/utils/jslex.py
index 08e8386..7cd93ca 100644
--- a/tests/regressiontests/utils/jslex.py
+++ b/tests/regressiontests/utils/jslex.py
@@ -2,7 +2,6 @@
 # encoding: utf-8
 # originally from https://bitbucket.org/ned/jslex
 
-import difflib
 from django.test import TestCase
 from django.utils.jslex import JsLexer, prepare_js_for_gettext
 
